{% extends 'layouts/base.html' %}

{% block title %}
    Editar Autor
{% endblock %}

{% block content %}
    <form method="POST" enctype="multipart/form-data">
        {% csrf_token %}
        <div class="row">
            <div class="col-sm-3">
                <img src="{{ form.avatar.value.url }}?version={% now "U" %}" class="rounded float-left avatar mb-4" alt="">
                {{ form.avatar }}
            </div>
            <div class="col-sm-9">
                <div class="form-group row">
                    <label class="col-sm-2 col-form-label">{{ form.nombre.label }}</label>
                    <div class="col-sm-10">{{ form.nombre }}</div>
                </div>
                <div class="form-group row">
                    <label class="col-sm-2 col-form-label">{{ form.apellidos.label }}</label>
                    <div class="col-sm-10">{{ form.apellidos }}</div>
                </div>
                <div class="form-group row">
                    <label class="col-sm-2 col-form-label">{{ form.nacionalidad.label }}</label>
                    <div class="col-sm-10">{{ form.nacionalidad }}</div>
                </div>
                <div class="form-group row">
                    <label class="col-sm-2 col-form-label">{{ form.descripcion.label }}</label>
                    <div class="col-sm-10">{{ form.descripcion }}</div>
                </div>
                <button class="btn btn-primary" type="submit">Actualizar</button>
                <a class="btn btn-danger" href="{% url 'libro:listar_autores' %}">Cancelar</a>
            </div>
        </div>
    </form>
{% endblock %}